Bug 1298622 - (rubygem-minitest5) Review Request: rubygem-minitest5 - minitest provides a complete suite of testing facilities
Review Request: rubygem-minitest5 - minitest provides a complete suite of tes...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 10:14 EST by greg.hellings
Modified: 2016-02-14 19:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-14 19:56:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description greg.hellings 2016-01-14 10:14:19 EST
Note: this is a request to create a new package just for the EPEL7 branch. Currently rubygem-minitest exists in base EL packages, meaning we cannot make version 5 available in EPEL or it would mask the core EL package which is on the 4.x series.

Spec URL: http://pkgs.fedoraproject.org/cgit/rpms/rubygem-minitest.git/tree/rubygem-minitest.spec?h=epel7
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/1148/12541148/rubygem-minitest5-5.8.1-2.el7.src.rpm
Description: minitest provides a complete suite of testing facilities supporting
TDD, BDD, mocking, and benchmarking.

minitest/unit is a small and incredibly fast unit testing framework.
It provides a rich set of assertions to make your tests clean and
readable.

minitest/spec is a functionally complete spec engine. It hooks onto
minitest/unit and seamlessly bridges test assertions over to spec
expectations.

minitest/benchmark is an awesome way to assert the performance of your
algorithms in a repeatable manner. Now you can assert that your newb
co-worker doesn't replace your linear algorithm with an exponential
one!

minitest/mock by Steven Baker, is a beautifully tiny mock (and stub)
object framework.

minitest/pride shows pride in testing and adds coloring to your test
output. I guess it is an example of how to write IO pipes too. :P
minitest/unit is meant to have a clean implementation for language
implementors that need a minimal set of methods to bootstrap a working
test suite. For example, there is no magic involved for test-case
discovery.

minitest doesn't reinvent anything that ruby already provides, like:
classes, modules, inheritance, methods. This means you only have to
learn ruby to use minitest and all of your regular OO practices like
extract-method refactorings still apply.

Fedora Account System Username: greghellings
Comment 1 Mamoru TASAKA 2016-01-22 12:31:47 EST
Taking.

I would appreciate it if you would review my review request (bug 1279755)
Comment 2 Upstream Release Monitoring 2016-01-25 22:29:59 EST
mtasaka's scratch build of rubygem-minitest5-5.8.1-2.el7.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12684502
Comment 3 Mamoru TASAKA 2016-01-26 00:18:56 EST
As this is basically EPEL branch request for existing rubygem-minitest master, approving as it is.

-------------------------------------------------
    This package (rubygem-minitest5) is APPROVED
    by mtasaka
-------------------------------------------------

Some suggestions:
http://pkgs.fedoraproject.org/cgit/rpms/rubygem-minitest.git/commit/?id=409c32489ff9a9746976f73a7b315cdbc4d3d3cd

- Consider to update to 5.8.4
- Rakefile is not needed as this is alike "Makefile" on autotools
  system.
- We suggest removing test/ directory on runtime package:
  https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#Running_test_suites "Do not ship tests"
Comment 4 Gwyn Ciesla 2016-01-26 10:55:14 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-minitest5
Comment 5 greg.hellings 2016-01-26 11:14:33 EST
Thanks! I've implemented all three of your suggestions in the newest package.
Comment 6 Fedora Update System 2016-01-26 11:18:13 EST
rubygem-minitest5-5.8.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e9edb7ff2c
Comment 7 Vít Ondruch 2016-01-27 08:32:25 EST
What is the point of having this package in Fedora at this moment? It is already 4th source of Minitest.

I would suggest to retire it in Fedora:

https://fedoraproject.org/wiki/EPEL/FAQ#Is_it_possible_to_get_a_package_only_into_EPEL_and_not_Fedora.3F
Comment 8 Fedora Update System 2016-01-29 11:21:22 EST
rubygem-minitest5-5.8.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e9edb7ff2c
Comment 9 Fedora Update System 2016-02-14 19:56:55 EST
rubygem-minitest5-5.8.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.